package common

import (
	"drive-linked/config"
	"testing"
)

func TestNewToken(t *testing.T) {
	config.SetupConfig()

	token, err := NewToken("eigeen")
	if err != nil {
		t.Error(err)
	}
	t.Log(token)
}

func TestValidateLogin(t *testing.T) {
	config.SetupConfig()

	tokenString, _ := NewToken("eigeen")
	err := ValidateLogin(tokenString)
	if err == nil {
		t.Log("验证通过")
	} else {
		t.Error(err)
	}
}
