package model

import (
	"database/sql"
	"drive-linked/pkg/dao"
	"testing"
)

func init() {
	err := dao.Conn()
	if err != nil {
		return
	}
}

func TestUser_GetUser(t *testing.T) {
	var user User
	// 存在的用户
	err := user.GetByName("eigeen")
	if err != nil {
		t.Error(err)
	}
	t.Log(user)

	// 不存在的用户
	err = user.GetByName("unknown_user")
	if err != sql.ErrNoRows {
		t.Error(err)
	}
}
